#ifndef _CBALL_H_
#define _CBALL_H_

#include "ps2vector4.h"
#include "ps2matrix4x4.h"

class CBall
{
public:
	Vector4 Pos;				// position on screen (center)
	Vector4 TR, BR, TL, BL;		// untransformed coordinates
	Matrix4x4 World;			// world positional matrix
	int w, h;					// width and height
	float Halfw, Halfh;			// Half the width and height
	int u, v;					// offset from texture top left
	unsigned char r, g, b, a;	// colour and alpha
	float Rot;					// Rotation angle in radians
	Vector4 Velocity;			// Ball velocity vector
	float ScreenW;				// Screen Width /2
	float ScreenH;				// Screen Height /2
	int LastCollision;			// Number of ball that collided with last
	int BallNum;				// This balls number
	float RotationSpeed;		//Increment of angle in radians
	
protected:
	int FCountMax;				// Count to this value for frame change
	int FCount;					// Frame Counter
	int NFrames;				// number of animation frames
	

public:
//constructor default values
CBall();

//destructor
~CBall();

//Animate sprite
void Animate(void);

//rotate sprite by default amount
void Rotate(void);

//move Ball
void Move(void);

//check for wall collisions
void WallCollision(void);

};//end CBall class




#endif